Welcome to the Linux Foundation Forum!

Kubernetes v1.25 - Pod Security Policy deprecated

Looking at the Kubernetes API reference documentation I saw that the Pod Security Policy will be deprecated on the next Kubernetes upgrade version. It is slightly more complex than upgrading the deployment specification code.

Is there a way from these checking tool in the automated CI pipeline to get messages about these important specification changes not yet enforced but that may requires developer time to fix?

Thanks

Categories

Upcoming Training